org.apache.cassandra.cql3.functions

## Class FunctionName

- java.lang.Object
- - org.apache.cassandra.cql3.functions.FunctionName

    public final class FunctionName
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `keyspace`
`java.lang.String` `name`

### Constructor Summary

Constructors
Constructor and Description
`FunctionName(java.lang.String keyspace, java.lang.String name)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`FunctionName` `asNativeFunction()`
`boolean` `equals(java.lang.Object o)`
`boolean` `equalsNativeFunction(FunctionName nativeFunction)`
`int` `hashCode()`
`boolean` `hasKeyspace()`
`static FunctionName` `nativeFunction(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### keyspace

    public final java.lang.String keyspace

#### name

    public final java.lang.String name

### Constructor Detail

#### FunctionName

    public FunctionName(java.lang.String keyspace,
                        java.lang.String name)

### Method Detail

#### nativeFunction

    public static FunctionName nativeFunction(java.lang.String name)

#### asNativeFunction

    public FunctionName asNativeFunction()

#### hasKeyspace

    public boolean hasKeyspace()

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### equalsNativeFunction

    public final boolean equalsNativeFunction(FunctionName nativeFunction)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`